#include<iostream>
using namespace std;
int main()
{
    int n;
    cin >> n;
    int arr[n];
    bool flag = false;
    for(int i= 0; i < n; i++)
    {
        cin >> arr[i];
        for(int j = 1; j * j <= arr[i]; j++)
        {
            for(int k = j; k * k <= arr[i]; k++)
            {
                if(j*j + k*k == arr[i])
                {
                    flag = true;
                }
            }
        }
        if(flag == true)
        {
            cout << "1";
        }
        else
        {
            cout << "0";
        }
        flag = false;
    }
    return 0;
}
